diff -Nur acpid-1.0.1-6/acpid.c acpid-1.0.1-7/acpid.c
--- acpid-1.0.1-6/acpid.c	Wed Jan 29 16:41:27 2003
+++ acpid-1.0.1-7/acpid.c	Wed Jan 29 16:42:03 2003
@@ -32,6 +32,7 @@
 #include <time.h>
 #include <sys/poll.h>
 #include <grp.h>
+#include <syslog.h>
 
 #include "acpid.h"
 #include "ud_socket.h"
@@ -358,33 +359,29 @@
 	setsid();
 	umask(0);
 
-	/* set up stdout, stderr to log and stdin to /dev/null */
+	/* set up stdout, stderr, and stdin to /dev/null */
 	nullfd = open("/dev/null", O_RDONLY, 0640);
 	if (nullfd < 0) {
 		fprintf(stderr, "%s: can't open %s: %s\n", progname, 
 			"/dev/null", strerror(errno));
 		return -1;
 	}
-	logfd = open(logfile, O_WRONLY|O_CREAT|O_APPEND);
-	if (logfd < 0) {
-		fprintf(stderr, "%s: can't open %s: %s\n", progname, 
-			logfile, strerror(errno));
-		return -1;
-	}
-
-	if (dup2(logfd, STDIN_FILENO) != STDIN_FILENO) {
+	if (dup2(nullfd, STDIN_FILENO) != STDIN_FILENO) {
 		fprintf(stderr, "%s: dup2: %s\n", progname, strerror(errno));
 		return -1;
 	}
-	if (dup2(logfd, STDOUT_FILENO) != STDOUT_FILENO) {
+	if (dup2(nullfd, STDOUT_FILENO) != STDOUT_FILENO) {
 		fprintf(stderr, "%s: dup2: %s\n", progname, strerror(errno));
 		return -1;
 	}
-	if (dup2(logfd, STDERR_FILENO) != STDERR_FILENO) {
+	if (dup2(nullfd, STDERR_FILENO) != STDERR_FILENO) {
 		fprintf(stderr, "%s: dup2: %s\n", progname, strerror(errno));
 		return -1;
 	}
 
+	/* initiate connection to syslog */
+	openlog(progname,LOG_PID,LOG_DAEMON);
+
 	/* get outta the way */
 	chdir("/");
 
@@ -416,11 +413,7 @@
 	char *timestr;
 
 	va_start(args, fmt);
-	curtime = time(NULL);
-	timestr = ctime(&curtime);
-	timestr[strlen(timestr)-1] = '\0';
-	len += fprintf(stderr, "[%s] ", timestr);
-	len += vfprintf(stderr, fmt, args);
+	vsyslog(LOG_NOTICE, fmt, args);
 	va_end(args);
 
 	return 0;
diff -Nur acpid-1.0.1-6/debian/changelog acpid-1.0.1-7/debian/changelog
--- acpid-1.0.1-6/debian/changelog	Wed Jan 29 16:41:27 2003
+++ acpid-1.0.1-7/debian/changelog	Wed Jan 29 16:42:03 2003
@@ -1,3 +1,9 @@
+acpid (1.0.1-7) unstable; urgency=low
+
+  * log to syslog, not a file.
+
+ -- Jens Schmalzing <jensen@debian.org>  Wed, 29 Jan 2003 16:36:34 +0100
+
 acpid (1.0.1-6) unstable; urgency=low
 
   * load modules even when acpi.o is not compiled in kernel (Closes: #173173)
